import { arc } from 'd3';

const width = 900;
const height = 500;
const centerX = width / 3;
const centerY = height / 3;
const strokeWidth = 23;
const eyeOffsetX = 70;
const eyeOffsetY = 60;
const eyeRadius = 20;
const mouthWidth = 50;
const mouthRadius = 50;
const accentColor = 'yellow';


const MouthArc = d3.arc()
    .innerRadius(mouthWidth)
    .outerRadius(mouthWidth - mouthRadius)
    .startAngle(Math.PI / 2 + 0.2)
    .endAngle(Math.PI * 3/2 - 0.2);



const App = () => (
    <svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`} >
        <circle
          r={centerY - (strokeWidth / 3)}
          fill="blue"
          stroke="black" 
          strokeWidth={strokeWidth}
          fill={accentColor}
        />
        
        
        <circle 
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          
          
        />


        <circle
        	cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          
        />
        <path //mouth
        d={MouthArc()}/>
      </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);